Subject: Re: setup.exe final pre-release..
From: Robert Collins <[email-masked]>
To: Max Bowsher <[email-masked]>
Cc: Alan Dobkin <[email-masked]>, Cygwin Mailing List <[email-masked]>
Date: 04 Apr 2003 19:40:14 +1000

On Fri, 2003-04-04 at 19:22, Max Bowsher wrote:
> Alan Dobkin wrote:
> > On 4 Apr 2003, Robert Collins wrote:
> >
> >> you should use apache or IIS to serve out the mirror and add
> >> it to your mirror selection creen in the custom URL field.
> >>
> >> Then, setup won't check the md5's of every package.
> >
> > This seems like an overly complex workaround just to preserve
> > the existing functionality.
> 
> Horribly over-complex.

I disagree. The local package cache is *not* a mirror, and a mirror is
*not* a local package cache.

WHEN setup starts maintaining the content of it's caches, folk that use
a mirroring script to populate their local package cache rather than to
create a local mirror will be horribly upset that setup deletes files.
I'd really rather avoid that headache (which involves potential data
loss) than encourage it.

> > And, it has the side effect of
> > creating another cache on each client system and re-downloading
> > each package before it is installed.
> 
> Yes, bad!

Not at all. The packages won't be downloaded off the net, they'll come
from the local mirror. The local package cache for each client can be
deleted by a script if desired.

Rob

-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.